Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations GregLocock on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

how to create a 3d-model of a sprin 1

Status
Not open for further replies.

Guest
how to create a 3d-model of a spring in autocad???
 
Replies continue below

Recommended for you

Question previously asked on this site:

MarkRPflow (Industrial) Apr 19, 2000
A suggestion is to go to a spring manufacturer's website. More & more vendors have drawings to download. 3D may not be as available.

Try for manufacturer listings.

Grapes (Mechanical) May 7, 2000
Check out some of the responses to my question regarding a 3d-3point arc.

Let Grapes know
this post was helpful!

misterAB (Mechanical) Sep 12, 2000
all you have to do is:
extrude a circle (or whatever)along a helix curve
as a path.

Let misterAB know
this post was helpful!

Joel2000 (Petroleum) Oct 9, 2000
Try CADALOG.COM, CADONLINE.COM or CADSOFTWARE.COM, all of these have lisp routines for this type of thing.
 
the only problem here is it sounds like he only has plain autocad and that cant do a helix curve or extrude along one either so what you would have to do to come close to it would be creat several toruses and chope em up into smaller peices and rotate them each alittle and then union them that is the only way i know how
 
You can create a 3D polyline and extrude a circle using the 3D polyline path. You really only need to do 1 turn of the spring, then you can array and union the pieces into a continuous spring. Use the SLICE command to cut the spring to the desired length. Plain or ground ends are easy to do. Not so easy for squared and ground ends.
 
After three years of looking.. this is the best program I've seen for springs
BTW as far as the legalize....
it's free, and worth every penny.
Eat your green vegetables and call your Mother
Adios

; SPRING.LSP
;
; Made for "Authorized User" info@safew.com
;
; By Theo L.A. Groenenberg
; Leusden NL
; acadvice@worldonline.nl
; ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun veererror (s)
(if (/= s "Function cancelled")
(princ (strcat "\nError: " s))
)
(setvar "osmode" oudosmode)
(setq *error* olderr)
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun polyveer ()
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(setq ainc (/ (* pi 2) stap)
dhinc (/ expan stap)
dvinc (/ spoed stap)
dv dvinc
ang 0.0
tp (polar centrum ang stra)
orig tp
zas (polar tp (/ pi 2) (/ stra (/ stap (* 2 pi))))
zas (list (car zas)(cadr zas)(+ (caddr zas) dvinc))
)
(prompt "\nConstructing a 3dpoly .....")
(command "3dpoly" tp)
(repeat omwent
(repeat stap
(setq tp (polar centrum (setq ang (+ ang ainc))
(setq stra (+ stra dhinc))
)
tp (list (car tp)(cadr tp)(+ dv (caddr tp)))
dv (+ dv dvinc)
)
(command tp)
)
)
(command "")
(setq poly (entlast))
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:spring ()
(setq olderr *error*
*error* veererror
oudosmode (getvar "osmode")
)
(setvar "cmdecho" 0)
(initget 1)
(setq centrum (getpoint "\nCenterpoint "))
(initget 7)
(setq omwent (getint "\nNumber of revolutions "))
(initget 1)
(setq ddiam (getdist "\nWire diameter "))
(initget 7)
(setq stra (getdist centrum "\nStart radius ")
stra (- stra (/ ddiam 2))
)
(initget 1)
(setq expan (getdist "\nExpansion per revolution "))
(initget 3)
(setq spoed (getdist "\nPitch "))
(initget 6)
(setq stap (getint &quot;\nResolution per revolution <90> &quot;))
(cond ((null stap) (setq stap 90)))
(polyveer)
(prompt &quot;\nMaking a spring.....&quot;)
(command &quot;ucs&quot; &quot;za&quot; orig zas
&quot;circle&quot; &quot;0,0,0&quot; (/ ddiam 2)
&quot;ucs&quot; &quot;p&quot;
&quot;extrude&quot; &quot;l&quot; &quot;&quot; &quot;p&quot; orig
)
(entdel poly)
(redraw)
(setvar &quot;osmode&quot; oudosmode)
(setq *error* olderr)
(princ &quot;Regards Theo.&quot;)
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor